#!/bin/bash

# Check if all parameters are present
# If no, exit
if [ $# -ne 1 ]
then
        echo "usage :"
        echo "`basename $0` [USERNAME]"
        exit 0
fi

USERNAME=$1

#locked groups
echo "-->unlocking groups"
yourpath/add_user_to_group.sh $USERNAME gamer
yourpath/add_user_to_group.sh $USERNAME programmer
yourpath/add_user_to_group.sh $USERNAME browsers

#backup files
echo "-->making backups"
cp -v /etc/sudoers sudoers.$(date +%Y%m%d_%H%M%S)
cp -v /boot/grub/menu.lst menu.lst.$(date +%Y%m%d_%H%M%S)

#replace files
echo "-->Unlocking system"
#cp -v menu.lst.unlocked /boot/grub/menu.lst
sed -i s/^password/#password/ /boot/grub/menu.lst
cp -v sudoers.unlocked /etc/sudoers

echo "Would you like to change the root password?"
read ans
case $ans in
        y|Y|yes) passwd root;;
esac

echo "System unlocked successfully."
